darcs-2.12.5: a distributed, interactive, smart revision control system

Safe Haskell | None
Language | Haskell2010

Darcs.Patch.Prim.FileUUID.Commute

Contents

- Orphan instances

# Documentation

class Monad m => CommuteMonad m where #

Minimal complete definition

commuteFail

Methods

commuteFail :: m a #

Instances

CommuteMonad Maybe # |
Methods commuteFail :: Maybe a #

# Orphan instances

Commute Prim # |
Methods commute :: (Prim :> Prim) wX wY -> Maybe ((Prim :> Prim) wX wY) #